# MANTRA Software Exercises
# R Exercise 1

numberlist<-1:10
numberlist
#[1]  1  2  3  4  5  6  7  8  9 10

# using seq to create a numeric vector
numberlist<-seq(1,12,3)
numberlist
#[1]  1  4  7 10

# an example of using c(), concatenate
numberlist<-c(3,4,5,6,7,8) 
numberlist
#[1] 3 4 5 6 7 8

is.vector(numberlist)
#TRUE
is.numeric(numberlist)
#TRUE
is.factor(numberlist)
#FALSE
is.integer(numberlist)
#FALSE

#introduction to changing properties of objects
numberlist<-as.integer(numberlist)

#to correct a mistake using as.numeric
numberlist<-as.numeric(numberlist)

#entering a series using scan
numberlist<-scan()

# using rep() to create a factor
factorlist<-as.factor(rep(c("Tyne","Tweed"),each=5,times=1))

levels(factorlist)
# [1] "Tweed" "Tyne" 
factorlist
#  [1] Tyne  Tyne  Tyne  Tyne  Tyne  Tweed Tweed Tweed Tweed Tweed
Levels: Tweed Tyne

# creating a factor using gl()
factorlist2<-gl(2,5,10,labels=c("Tyne","Tweed"))	
factorlist2 
#  [1] Tyne  Tyne  Tyne  Tyne  Tyne  Tweed Tweed Tweed Tweed Tweed
#Levels: Tyne Tweed

#creating a vector of four factors with different numbers of repetitions
riverlist<-as.factor(rep(c("Tyne","Tweed","Wear","Tees"),c(2,3,2,3)))
riverlist
#  [1] Tyne  Tyne  Tweed Tweed Tweed Wear  Wear  Tees  Tees  Tees 
#Levels: Tees Tweed Tyne Wear

# using seq and rep to create an explanatory numeric vector
calcurve<-rep(seq(0.2,1.0,0.2),2)
calcurve
# [1] 0.2 0.4 0.6 0.8 1.0 0.2 0.4 0.6 0.8 1.0

#using length and ls to determine the total number of active objects
length(ls())

objects()

#creating a data frame
exampleframe<-data.frame(factorlist,calcurve,numberlist)
names(exampleframe)
#[1] "factorlist" "calcurve"   "numberlist"

#removing factorlist, calcurve and numberlist from work space
rm(factorlist,calcurve,numberlist)
exampleframe

#reading a csv file
riverquality<-read.csv("M:\\RDM\\Arrrr\\RiverQuality.csv")
names(riverquality)
levels(riverquality$Region)

Inf/Inf
#[1] NaN

apply(apply(riverquality,2,is.na),2,sum)

matexample<-matrix(1:9,nrow=3)
matexample
#     [,1] [,2] [,3]
#[1,]    1    4    7
#[2,]    2    5    8
#[3,]    3    6    9

Arrayexample<-rpois(24,2)
dim(Arrayexample)<-c(4,2,3)
Arrayexample
